Combined V2/V3 Snowball hwpack (20110905) fails with l-m-c

Bug #842973 reported by Mathieu Poirier
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linaro Image Tools
Won't Fix
High
Lee Jones

Bug Description

Selecting previously deselected package startupfiles-v2.
Unpacking startupfiles-v2 (from .../startupfiles-v2_2.0.5-6_armel.deb) ...
Selecting previously deselected package startupfiles-v3.
Unpacking startupfiles-v3 (from .../startupfiles-v3_3.0.5-5_armel.deb) ...
dpkg: error processing /tmp/tmp.kCQAu4LYnC/unpacked/pkgs/startupfiles-v3_3.0.5-5_armel.deb (--unpack):
 trying to overwrite '/boot/u-boot-env.bin', which is also in package startupfiles-v2 2.0.5-6
/bin/df: cannot read table of mounted file systems: No such file or directory
Selecting previously deselected package devio.
Unpacking devio (from .../devio_1.2-1build1_armel.deb) ...
Selecting previously deselected package flash-kernel.
Unpacking flash-kernel (from .../flash-kernel_2.28ubuntu19linaro2_armel.deb) ...
Selecting previously deselected package linux-image-linaro-lt-ux500.
Unpacking linux-image-linaro-lt-ux500 (from .../linux-image-linaro-lt-ux500_2.6.38.1001.3_armel.deb) ...
Selecting previously deselected package u-boot-linaro-u8500-snowball.
Unpacking u-boot-linaro-u8500-snowball (from .../u-boot-linaro-u8500-snowball_2011.08.23-0ubuntu1_armel.deb) ...
Selecting previously deselected package hwpack-linaro-lt-snowball.
Unpacking hwpack-linaro-lt-snowball (from .../hwpack-linaro-lt-snowball_20110905-0_armel.deb) ...
Processing triggers for man-db ...
Errors were encountered while processing:
 /tmp/tmp.kCQAu4LYnC/unpacked/pkgs/startupfiles-v3_3.0.5-5_armel.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Cleaning up ...W: GPG error: http://ppa.launchpad.net natty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY F66626F405361FB7
Done
proc umounted
Traceback (most recent call last):
  File "/home/mpoirier/work/linaro/linaro-image-tools/linaro-media-create", line 146, in <module>
    verified_files, *hwpacks)
  File "/home/mpoirier/work/linaro/linaro-image-tools/linaro_image_tools/media_create/chroot_utils.py", line 64, in install_hwpacks
    install_hwpack(chroot_dir, hwpack_file, hwpack_force_yes or hwpack_verified)
  File "/home/mpoirier/work/linaro/linaro-image-tools/linaro_image_tools/media_create/chroot_utils.py", line 85, in install_hwpack
    cmd_runner.run(args, as_root=True, chroot=chroot_dir).wait()
  File "/home/mpoirier/work/linaro/linaro-image-tools/linaro_image_tools/cmd_runner.py", line 100, in wait
    raise SubcommandNonZeroReturnValue(self._my_args, returncode)
linaro_image_tools.cmd_runner.SubcommandNonZeroReturnValue: Sub process "['chroot', '/tmp/tmpifDWcJ/binary', 'linaro-hwpack-install', '/hwpack_linaro-lt-snowball_20110905-0_armel_supported.tar.gz']" returned a non-zero value: 100
mpoirier@black:~/work/linaro/snowball-images/leb_ubuntu$

Tags: snowball
Changed in linaro-landing-team-ste:
assignee: nobody → Lee Jones (lag)
visibility: private → public
Revision history for this message
Lee Jones (lag) wrote :

Can you post your l-m-c cmdline?

At first glance, it appears that you're using the incorrect hwpack for your board.

Please use either the V2 or V3 hwpacks provided depending on your Snowball version.

Revision history for this message
Fathi Boudra (fboudra) wrote :

as discussed on IRC, the weekly testing instructions have been followed:
sudo linaro-image-tools/linaro-android-media-create --mmc /dev/sdX --dev snowball_sd --boot boot.tar.bz2 --system system.tar.bz2 --userdata userdata.tar.bz2

v1 hwpack is used.

Revision history for this message
Fathi Boudra (fboudra) wrote :

errata on previous comment: wrong command line pasted but the comment still applies.

sudo linaro-media-create --dev snowball_sd --mmc /dev/mmcblk0 --hwpack hwpack_linaro-lt-snowball_20110905-0_armel_supported.tar.gz --binary linaro-n-ubuntu-desktop-tar-20110905-0.tar.gz

affects: linaro-landing-team-ste → linaro-image-tools
Changed in linaro-image-tools:
importance: Undecided → High
Revision history for this message
Fathi Boudra (fboudra) wrote : Re: Snowball hwpack V1 (20110905) fails with l-m-c

confirmed. What should we do with the snowball hwpack v1? fix it to avoid startupfiles conflicts or something else?

summary: - l-m-c doesn't work with 20110905
+ Snowball hwpack V1 (20110905) fails with l-m-c
Changed in linaro-image-tools:
status: New → Confirmed
tags: added: snowball
Revision history for this message
Mattias Backman (mabac) wrote :

The user should select the hwpack that corresponds to the revision of the Snowball targeted. That is lt-snowball-v2 or lt-snowball-v3. The combined hwpack which is simply called lt-snowball contains packages for both v2 and v3 and then the files clash on install.

I agreed a while back to investigate how much work it would be to make l-m-c handle duplicates of packages like this. I wanted more info on the changes needed for Snowball V5 though, so we don't fix the problem now and need another fix when the new revision arrive.

So this kind of hwpack is not supported by the tools. We would need to implement the snowball_v2_emmc and snowball_v3_mmc --dev options for this to work. I think a prerequisite would be for the different startupfiles debs to install the files to different paths so that they do not clash on install.

summary: - Snowball hwpack V1 (20110905) fails with l-m-c
+ Combined V2/V3 Snowball hwpack (20110905) fails with l-m-c
Revision history for this message
James Westby (james-w) wrote : Re: [Bug 842973] Re: Snowball hwpack V1 (20110905) fails with l-m-c

On Wed, 07 Sep 2011 09:14:31 -0000, Mattias Backman <email address hidden> wrote:
> The user should select the hwpack that corresponds to the revision of
> the Snowball targeted. That is lt-snowball-v2 or lt-snowball-v3. The
> combined hwpack which is simply called lt-snowball contains packages for
> both v2 and v3 and then the files clash on install.
>
> I agreed a while back to investigate how much work it would be to make
> l-m-c handle duplicates of packages like this. I wanted more info on the
> changes needed for Snowball V5 though, so we don't fix the problem now
> and need another fix when the new revision arrive.
>
> So this kind of hwpack is not supported by the tools. We would need to
> implement the snowball_v2_emmc and snowball_v3_mmc --dev options for
> this to work. I think a prerequisite would be for the different
> startupfiles debs to install the files to different paths so that they
> do not clash on install.

Yes, we're not going to support hwpacks containing two files that
conflict on install, so that would indeed be a prerequisite.

LT, What was the plan for the combined hwpack?

Thanks,

James

Revision history for this message
Anmar Oueja (anmar) wrote :

I agree with James. There is no point of adding this to l-m-c since it is an exception and not the rule. I just had a chat with Mathieu (Lee is at Plumbers) and we both agreed that there is no need for the combined HWPack. We will simply use the V2 and V3 ones.

Mathieu is going to tell the validation team to use the V2 HWPack and avoid the combined one.

BTW, any idea who created this combined HWPack? Can we remove it from the daily builds. it will only complicate things.

Revision history for this message
Mattias Backman (mabac) wrote :

I got a link to a combined hwpack from Lee as we discussed the way forward on this. It's purpose was only for me to assess the amount of work to support it and it's probably that hwpack that's been left in the daily build since then. The tools never supported it, so it shouldn't be accessible by users.

So we're left with one hwpack for the V2 Snowball and one for all later versions, then. So perhaps the V3 hwpack could be referred to just as linaro-lt-snowball to make it obvious that the V2 is the odd one out and most users wouldn't need to worry too much.

Revision history for this message
Mathieu Poirier (mathieu.poirier-deactivatedaccount) wrote : Re: [Bug 842973] Re: Combined V2/V3 Snowball hwpack (20110905) fails with l-m-c

There is no guarantee that V4, V5, V6 and so on will be compatible with
V3. I think we should keep lt-snowball-v2 and lt-snowball-v3 the way
they are now. If a Vx ever comes along we can call it lt-snowball-vx.

On 11-09-07 09:30 AM, Mattias Backman wrote:
> I got a link to a combined hwpack from Lee as we discussed the way
> forward on this. It's purpose was only for me to assess the amount of
> work to support it and it's probably that hwpack that's been left in the
> daily build since then. The tools never supported it, so it shouldn't be
> accessible by users.
>
> So we're left with one hwpack for the V2 Snowball and one for all later
> versions, then. So perhaps the V3 hwpack could be referred to just as
> linaro-lt-snowball to make it obvious that the V2 is the odd one out and
> most users wouldn't need to worry too much.
>

Revision history for this message
James Westby (james-w) wrote :
Revision history for this message
Anmar Oueja (anmar) wrote :

Mattias: Can you remove it from the daily build or should I ask Lee to do so?

Revision history for this message
Fathi Boudra (fboudra) wrote :

> Can you remove it from the daily build or should I ask Lee to do so?

done.

Revision history for this message
Anmar Oueja (anmar) wrote :

I am marking this bug as invalid since we don't plan on doing anything with it.

Changed in linaro-image-tools:
status: Confirmed → Invalid
Fathi Boudra (fboudra)
Changed in linaro-image-tools:
status: Invalid → Won't Fix
Revision history for this message
Lee Jones (lag) wrote :

Yes, removal was the correct decision, well done guys.

The only time all this stuff is relevant is when you flash to eMMC.

If you wish to create an MMC image, either hwpack will work on either board.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers